Cyberduck Mountain Duck CLI

#10891 reopened defect

(Save Workspace): # of open connections/windows (>2) not preserved across quit/start

Reported by: BluJBluJBluJ Owned by: dkocher
Priority: normal Milestone: 7.1.2
Component: core Version: 7.2.1
Severity: normal Keywords: Save Workspace Browsers restore
Cc: Architecture: Intel
Platform: macOS 10.15

Description

I frequently have 5 or more FTP/SFTP browser connections in CyberDuck.

I have checked to enable Preferences > General > Browser > Save Workspace.

When I quit and then restart CyberDuck it seems that - at most - only two of my previous connections/browsers are re-opened (occasionally none is.... but at least I can explain that occurrence... but not "2 of 5").

Change History (3)

comment:1 Changed on Dec 1, 2019 at 8:40:59 AM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 follow-up: Changed on Dec 1, 2019 at 8:44:53 AM by dkocher

  • Milestone set to 7.1.2
  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r47962. Please update to the latest version.

comment:3 in reply to: ↑ 2 Changed on Dec 2, 2019 at 4:19:23 AM by BluJBluJBluJ

  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 7.0 to 7.2.1

Replying to dkocher:

Fixed in r47962. Please update to the latest version.

I've just tried Version 7.2.1, 27 Nov 2019 / Version 7.2.1 (31913).

I'd opened 5 browser windows. Quit CyberDuck. Restarted it. Only 1 window was restored not the original 5.

macOS 10.15.1 (19B88)

What is the best course of action.

Note: See TracTickets for help on using tickets.
swiss made software